Create Customer Group
Creates a Customer Group.
Required Fields
- name
Note: The default rate limit for this endpoint is 40 concurrent requests.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
name
Name of the group.
is_default
Determines whether new customers are assigned to this group by default.
category_access
discount_rules
is_group_for_guests
Describes whether the group is for guests. There can only be one customer group for guests at a time.
Response
OK
id
ID of the customer group.
name
Name of the group.
is_default
Determines whether new customers are assigned to this group by default.
category_access
discount_rules
date_created
Date on which the customer group was created.
date_modified
Date on which the customer group was last modified.
is_group_for_guests
Describes whether the group is for guests. There can only be one customer group for guests at a time.